=== debian/changelog ===
ros-rolling-control-msgs (3.0.0-2focal) focal; urgency=high

  * Extend FollowJointTrajectoryAction with multi_dof_trajectory variable
    https://github.com/ros-controls/control_msgs/pull/55
  * Refractor dependency list for better overview.
  * Contributors: Bence Magyar, David V. Lu, Denis Štogl, JafarAbdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 26 May 2021 23:00:00 -0000

ros-rolling-control-msgs (2.5.0-2focal) focal; urgency=high

  * Extend QueryTrajectoryState to allow to report errors
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Jan 2021 00:00:00 -0000

ros-rolling-control-msgs (2.4.1-2focal) focal; urgency=high

  * Move author field lower in package.xml
  * Don't define C standard
  * Define package.xml schema for validator
  * depend -> build_depend, exec_depend
  * Contributors: Bence Magyar, ahcorde

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Jul 2020 23:00:00 -0000

ros-rolling-control-msgs (2.4.0-2focal) focal; urgency=high

  * Add std_msgs prefix path to header
  * Add JointJog msg to ROS 2 - foxy
  * Contributors: AdamPettinger, AndyZe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Jul 2020 23:00:00 -0000

ros-rolling-control-msgs (2.3.0-2focal) focal; urgency=high

  * Implement "flexible joint states" message: add DynamicJointState message
  * add description of JointControllerState.msg (#30 <https://github.com/ros-controls/control_msgs/issues/30>) (#39 <https://github.com/ros-controls/control_msgs/issues/39>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 15 May 2020 23:00:00 -0000

ros-rolling-control-msgs (2.2.0-2focal) focal; urgency=high

  * generate action interfaces
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 08 Sep 2019 23:00:00 -0000

ros-rolling-control-msgs (2.1.0-2focal) focal; urgency=high

  * Fix up dependencies for actionlib and Crystal
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 29 Jan 2019 00:00:00 -0000

ros-rolling-control-msgs (2.0.0-2focal) focal; urgency=high

  * ROS2 Bouncy conversion
  * Replace Adolfo with Bence as maintainer
  * Contributors: Austin Deric, Bence Magyar, Nestor Gonzalez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Jan 2019 00:00:00 -0000

ros-rolling-control-msgs (1.4.0-2focal) focal; urgency=high

  * Add antiwindup to JointControllerState message definition
  * Add PidState message
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Apr 2016 23:00:00 -0000

ros-rolling-control-msgs (1.3.1-2focal) focal; urgency=high

  * Export architecture_independent flag in package.xml
  * Change package maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Mar 2015 00:00:00 -0000

ros-rolling-control-msgs (1.3.0-2focal) focal; urgency=high

  * Add error_string to action result.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

ros-rolling-control-msgs (1.2.0-2focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Apr 2013 23:00:00 -0000

ros-rolling-control-msgs (1.1.6-2focal) focal; urgency=high

  * adds missing feedback field to PointHeadAction
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Feb 2013 00:00:00 -0000

ros-rolling-control-msgs (1.1.5-2focal) focal; urgency=high

  * changes PointHeadAction.action to PointHead.action
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Jan 2013 00:00:00 -0000

ros-rolling-control-msgs (1.1.4-2focal) focal; urgency=high

  * this now contains all messages, services and actions that used to be in ros_controllers and/or pr2_controllers_msgs
  * copy JointControllerState and JointTrajectoryControllerState  from pr2_controllers_msgs
  * copy GripperCommand from pr2_controllers_msgs
  * modified dep type of catkin
  * Contributors: Dirk Thomas, Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000

ros-rolling-control-msgs (1.1.3-2focal) focal; urgency=high

  * fix dep
  * add missing downstream depend
  * switched from langs to message_* packages
  * Contributors: Dirk Thomas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Dec 2012 00:00:00 -0000

ros-rolling-control-msgs (1.1.2-2focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Dec 2012 00:00:00 -0000

ros-rolling-control-msgs (1.1.1-2focal) focal; urgency=high

  * added metapackage for backward compatibility
  * Contributors: Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Nov 2012 15:52:00 -0000

ros-rolling-control-msgs (1.1.0-2focal) focal; urgency=high

  * port to catkin
  * add bogus dependency on rospy, to get ros_comm
  * Added documentation for the FollowJointTrajectory action and the JointTolerance message.
  * Added PointHeadAction to control_msgs
  * First cut at a FollowJointTrajectory action
  * Contributors: Brian Gerkey, Ioan Sucan, Stuart Glaser

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Nov 2012 14:54:00 -0000
