## ros-rolling-control-msgs 5.0.0

=== debian/changelog ===
ros-rolling-control-msgs (5.0.0-1jammy) jammy; urgency=high

  * Update JTC state message (#86 <https://github.com/ros-controls/control_msgs/issues/86>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Apr 2023 23:00:00 -0000

ros-rolling-control-msgs (4.3.0-1jammy) jammy; urgency=high

  * Add generic messages for commanding and getting states from controllers. (#69 <https://github.com/ros-controls/control_msgs/issues/69>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-rolling-control-msgs (4.2.0-1jammy) jammy; urgency=high

  * Add state message for mechanum controller #79
  * Status message for steering controllers
  * Contributors: Denis Štogl, GiridharBukka, petkovich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Mar 2023 00:00:00 -0000

ros-rolling-control-msgs (4.1.0-1jammy) jammy; urgency=high

  * Add status admittance controller message (#68 <https://github.com/ros-controls/control_msgs/issues/68>)
  * Contributors: Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Oct 2022 23:00:00 -0000

ros-rolling-control-msgs (4.0.0-1jammy) jammy; urgency=high

  * Added controller states for multi dof joints (#64 <https://github.com/ros-controls/control_msgs/issues/64>)
  * Add initial configurations for multiple distros. (#59 <https://github.com/ros-controls/control_msgs/issues/59>)
    * Add CI configuration with multiple ROS distributions and use pre-commit in the repository.
    * Add badges
  * Contributors: Denis Štogl, George Stavrinos

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 23:00:00 -0000

ros-rolling-control-msgs (3.0.0-1jammy) jammy; urgency=high

  * Extend FollowJointTrajectoryAction with multi_dof_trajectory variable
    https://github.com/ros-controls/control_msgs/pull/55
  * Refractor dependency list for better overview.
  * Contributors: Bence Magyar, David V. Lu, Denis Štogl, JafarAbdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 26 May 2021 23:00:00 -0000

ros-rolling-control-msgs (2.5.0-1jammy) jammy; urgency=high

  * Extend QueryTrajectoryState to allow to report errors
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Jan 2021 00:00:00 -0000

ros-rolling-control-msgs (2.4.1-1jammy) jammy; urgency=high

  * Move author field lower in package.xml
  * Don't define C standard
  * Define package.xml schema for validator
  * depend -> build_depend, exec_depend
  * Contributors: Bence Magyar, ahcorde

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Jul 2020 23:00:00 -0000

ros-rolling-control-msgs (2.4.0-1jammy) jammy; urgency=high

  * Add std_msgs prefix path to header
  * Add JointJog msg to ROS 2 - foxy
  * Contributors: AdamPettinger, AndyZe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Jul 2020 23:00:00 -0000

ros-rolling-control-msgs (2.3.0-1jammy) jammy; urgency=high

  * Implement "flexible joint states" message: add DynamicJointState message
  * add description of JointControllerState.msg (#30 <https://github.com/ros-controls/control_msgs/issues/30>) (#39 <https://github.com/ros-controls/control_msgs/issues/39>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 15 May 2020 23:00:00 -0000

ros-rolling-control-msgs (2.2.0-1jammy) jammy; urgency=high

  * generate action interfaces
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 08 Sep 2019 23:00:00 -0000

ros-rolling-control-msgs (2.1.0-1jammy) jammy; urgency=high

  * Fix up dependencies for actionlib and Crystal
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 29 Jan 2019 00:00:00 -0000

ros-rolling-control-msgs (2.0.0-1jammy) jammy; urgency=high

  * ROS2 Bouncy conversion
  * Replace Adolfo with Bence as maintainer
  * Contributors: Austin Deric, Bence Magyar, Nestor Gonzalez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Jan 2019 00:00:00 -0000

ros-rolling-control-msgs (1.4.0-1jammy) jammy; urgency=high

  * Add antiwindup to JointControllerState message definition
  * Add PidState message
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Apr 2016 23:00:00 -0000

ros-rolling-control-msgs (1.3.1-1jammy) jammy; urgency=high

  * Export architecture_independent flag in package.xml
  * Change package maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Mar 2015 00:00:00 -0000

ros-rolling-control-msgs (1.3.0-1jammy) jammy; urgency=high

  * Add error_string to action result.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

ros-rolling-control-msgs (1.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Apr 2013 23:00:00 -0000

ros-rolling-control-msgs (1.1.6-1jammy) jammy; urgency=high

  * adds missing feedback field to PointHeadAction
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Feb 2013 00:00:00 -0000

ros-rolling-control-msgs (1.1.5-1jammy) jammy; urgency=high

  * changes PointHeadAction.action to PointHead.action
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Jan 2013 00:00:00 -0000

ros-rolling-control-msgs (1.1.4-1jammy) jammy; urgency=high

  * this now contains all messages, services and actions that used to be in ros_controllers and/or pr2_controllers_msgs
  * copy JointControllerState and JointTrajectoryControllerState  from pr2_controllers_msgs
  * copy GripperCommand from pr2_controllers_msgs
  * modified dep type of catkin
  * Contributors: Dirk Thomas, Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000


